Bug 149719 - [NEW PORT] sysutils/hatop: An interactive real-time monitoring tool for the HAProxy unix socket
Summary: [NEW PORT] sysutils/hatop: An interactive real-time monitoring tool for the H...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-16 21:50 UTC by Jim Riggs
Modified: 2010-08-21 16:53 UTC (History)
0 users

See Also:


Attachments
hatop-0.7.3.shar (3.16 KB, text/plain)
2010-08-16 21:50 UTC, Jim Riggs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Riggs 2010-08-16 21:50:03 UTC
HATop is an interactive ncurses client and real-time monitoring
statistics displaying tool for the HAProxy unix socket.

HATop's appearance is similar to top. It supports various modes for
detailed statistics of all configured proxies and services in near
realtime. In addition, it features an interactive CLI for the haproxy
unix socket. This allows administrators to control the given haproxy
instance (change server weight, put servers into maintenance mode,
etc.) directly out of hatop (using keybinds or the CLI) and monitor the
results immediately.

WWW:	http://feurix.org/projects/hatop/

Generated with FreeBSD Port Tools 0.77
Comment 1 Jim Riggs 2010-08-16 21:54:27 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/149719: [NEW PORT] sysutils/hatop: An interactive real-time monitoring tool for the HAProxy unix socket
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		change-request
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
This update to 0.7.4 removes the need to patch hatop.py.

--

HATop is an interactive ncurses client and real-time monitoring
statistics displaying tool for the HAProxy unix socket.

HATop's appearance is similar to top. It supports various modes for
detailed statistics of all configured proxies and services in near
realtime. In addition, it features an interactive CLI for the haproxy
unix socket. This allows administrators to control the given haproxy
instance (change server weight, put servers into maintenance mode,
etc.) directly out of hatop (using keybinds or the CLI) and monitor the
results immediately.

WWW:	http://feurix.org/projects/hatop/

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- hatop-0.7.4.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	hatop
#	hatop/distinfo
#	hatop/Makefile
#	hatop/pkg-descr
#
echo c - hatop
mkdir -p hatop > /dev/null 2>&1
echo x - hatop/distinfo
sed 's/^X//' >hatop/distinfo << 'END-of-hatop/distinfo'
XMD5 (hatop-0.7.4.tar.gz) = 17ba7728c3a8b710b306b2bc46155947
XSHA256 (hatop-0.7.4.tar.gz) = da114b1ca72fe74296505da1c58c5b93d430b60851f320c6404ce2c09ebe5f50
XSIZE (hatop-0.7.4.tar.gz) = 132492
END-of-hatop/distinfo
echo x - hatop/Makefile
sed 's/^X//' >hatop/Makefile << 'END-of-hatop/Makefile'
X# New ports collection makefile for:	hatop
X# Date created:		2010-08-16
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	hatop
XPORTVERSION=	0.7.4
XCATEGORIES=	sysutils net
XMASTER_SITES=	https://labs.feurix.org/admin/hatop/snapshot/ \
X		${MASTER_SITE_GOOGLE_CODE}
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	An interactive real-time monitoring tool for the HAProxy unix socket
X
XRUN_DEPENDS=	${LOCALBASE}/sbin/haproxy:${PORTSDIR}/net/haproxy
X
XUSE_PYTHON=	yes
XNO_BUILD=	yes
X
XLICENSE=	GPLv3
X
XPLIST_FILES=	bin/hatop
XPORTDOCS=	HACKING LICENSE README README.keybinds
X
Xdo-install:
X	${INSTALL_SCRIPT} ${WRKSRC}/hatop.py ${PREFIX}/bin/hatop
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	(cd ${WRKSRC} && ${COPYTREE_SHARE} "${PORTDOCS}" ${DOCSDIR})
X.endif
X
X.include <bsd.port.mk>
END-of-hatop/Makefile
echo x - hatop/pkg-descr
sed 's/^X//' >hatop/pkg-descr << 'END-of-hatop/pkg-descr'
XHATop is an interactive ncurses client and real-time monitoring
Xstatistics displaying tool for the HAProxy unix socket.
X
XHATop's appearance is similar to top. It supports various modes for
Xdetailed statistics of all configured proxies and services in near
Xrealtime. In addition, it features an interactive CLI for the haproxy
Xunix socket. This allows administrators to control the given haproxy
Xinstance (change server weight, put servers into maintenance mode,
Xetc.) directly out of hatop (using keybinds or the CLI) and monitor the
Xresults immediately.
X
XWWW:	http://feurix.org/projects/hatop/
END-of-hatop/pkg-descr
exit
--- hatop-0.7.4.shar ends here ---
Comment 2 Bernhard Froehlich freebsd_committer 2010-08-19 08:47:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 3 Bernhard Froehlich freebsd_committer 2010-08-20 16:05:17 UTC
They have a huge mess with their release tarballs. I could not find the
file with the submitted checksums but found 2 others with different
ones. The files only differ in the tar header (byte 5-7).

I've decided to remove the feurix mirror and only rely on the google
mirrors.

MD5 (hatop-0.7.4.tar.gz.feurix) = bba29cdaf78b819a755adfa7f5fd2bb0
MD5 (hatop-0.7.4.tar.gz.google) = a5d5075559a8862dca0ba57ceb6e08d3

-- 
Bernhard Froehlich
http://www.bluelife.at/
Comment 4 Jim Riggs 2010-08-20 16:25:59 UTC
On Aug 20, 2010, at 10:05 AM, Bernhard Froehlich wrote:

> They have a huge mess with their release tarballs. I could not find =
the
> file with the submitted checksums but found 2 others with different
> ones. The files only differ in the tar header (byte 5-7).
>=20
> I've decided to remove the feurix mirror and only rely on the google
> mirrors.

You know I notice some strangeness with the checksums too, but I thought =
it was just a fluke.  I think it's fine to go with google, but I just =
noticed that he is up to 0.7.6 now.  Let me roll a new patch...
Comment 5 Jim Riggs 2010-08-20 16:47:57 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/149719: [NEW PORT] sysutils/hatop: An interactive real-time monitoring tool for the HAProxy unix socket
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		change-request
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
- update to 0.7.6
- per discussions, only use google mirrors

--

HATop is an interactive ncurses client and real-time monitoring
statistics displaying tool for the HAProxy unix socket.

HATop's appearance is similar to top. It supports various modes for
detailed statistics of all configured proxies and services in near
realtime. In addition, it features an interactive CLI for the haproxy
unix socket. This allows administrators to control the given haproxy
instance (change server weight, put servers into maintenance mode,
etc.) directly out of hatop (using keybinds or the CLI) and monitor the
results immediately.

WWW:	http://feurix.org/projects/hatop/

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- hatop-0.7.6.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	hatop
#	hatop/distinfo
#	hatop/Makefile
#	hatop/pkg-descr
#
echo c - hatop
mkdir -p hatop > /dev/null 2>&1
echo x - hatop/distinfo
sed 's/^X//' >hatop/distinfo << 'END-of-hatop/distinfo'
XMD5 (hatop-0.7.6.tar.gz) = 5703d153962cdac09ae2309ec06179ab
XSHA256 (hatop-0.7.6.tar.gz) = d2db73535cbf20f7b5d333f3d153eaabb9ed3c765c6666630f96c580c00b19d3
XSIZE (hatop-0.7.6.tar.gz) = 132364
END-of-hatop/distinfo
echo x - hatop/Makefile
sed 's/^X//' >hatop/Makefile << 'END-of-hatop/Makefile'
X# New ports collection makefile for:	hatop
X# Date created:		2010-08-16
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	hatop
XPORTVERSION=	0.7.6
XCATEGORIES=	sysutils net
XMASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	An interactive real-time monitoring tool for the HAProxy unix socket
X
XRUN_DEPENDS=	${LOCALBASE}/sbin/haproxy:${PORTSDIR}/net/haproxy
X
XUSE_PYTHON=	yes
XNO_BUILD=	yes
X
XLICENSE=	GPLv3
X
XPLIST_FILES=	bin/hatop
XPORTDOCS=	HACKING KEYBINDS README
X
XMAN1=		hatop.1
X
Xdo-install:
X	${INSTALL_SCRIPT} ${WRKSRC}/bin/hatop ${PREFIX}/bin/hatop
X	${INSTALL_MAN} ${WRKSRC}/man/hatop.1 ${MAN1PREFIX}/man/man1
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	(cd ${WRKSRC} && ${COPYTREE_SHARE} "${PORTDOCS}" ${DOCSDIR})
X.endif
X
X.include <bsd.port.mk>
END-of-hatop/Makefile
echo x - hatop/pkg-descr
sed 's/^X//' >hatop/pkg-descr << 'END-of-hatop/pkg-descr'
XHATop is an interactive ncurses client and real-time monitoring
Xstatistics displaying tool for the HAProxy unix socket.
X
XHATop's appearance is similar to top. It supports various modes for
Xdetailed statistics of all configured proxies and services in near
Xrealtime. In addition, it features an interactive CLI for the haproxy
Xunix socket. This allows administrators to control the given haproxy
Xinstance (change server weight, put servers into maintenance mode,
Xetc.) directly out of hatop (using keybinds or the CLI) and monitor the
Xresults immediately.
X
XWWW:	http://feurix.org/projects/hatop/
END-of-hatop/pkg-descr
exit
--- hatop-0.7.6.shar ends here ---
Comment 6 dfilter service freebsd_committer 2010-08-21 16:42:40 UTC
decke       2010-08-21 15:42:26 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/hatop       Makefile distinfo pkg-descr 
  Log:
  HATop is an interactive ncurses client and real-time monitoring
  statistics displaying tool for the HAProxy unix socket.
  
  HATop's appearance is similar to top. It supports various modes for
  detailed statistics of all configured proxies and services in near
  realtime. In addition, it features an interactive CLI for the haproxy
  unix socket. This allows administrators to control the given haproxy
  instance (change server weight, put servers into maintenance mode,
  etc.) directly out of hatop (using keybinds or the CLI) and monitor the
  results immediately.
  
  WWW:    http://feurix.org/projects/hatop/
  
  PR:             ports/149719
  Submitted by:   Jim Riggs <ports at christianserving dot org> (maintainer)
  Approved by:    beat (co-mentor)
  
  Revision  Changes    Path
  1.1218    +1 -0      ports/sysutils/Makefile
  1.1       +36 -0     ports/sysutils/hatop/Makefile (new)
  1.1       +3 -0      ports/sysutils/hatop/distinfo (new)
  1.1       +12 -0     ports/sysutils/hatop/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Bernhard Froehlich freebsd_committer 2010-08-21 16:53:11 UTC
State Changed
From-To: open->closed

New port added. Thanks!